export const buildLaunchContainer = (videoId) => `
  <div id="refined-youtube-launch-container">
    <button id="refined-youtube-launch-button">
      View on Refined YouTube
    </button>
    <span id="refined-youtube-launch-close-button">
      x
    </span>
  </div>
`;

export const buildRefinedPage = (videoId) => `
  <head>
    <title>Refined YouTube</title>
    <meta charset="utf8">
  </head>
  <body class="refined-youtube">
    <div id="refined-youtube-container">
      <iframe
        width="1280"
        height="720"
        src="https://www.youtube.com/embed/${videoId}"
        frameborder="0"
        allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
        allowfullscreen
      ></iframe>
    </div>
    <a id="refined-youtube-close-button" href="https://www.youtube.com/watch?v=${videoId}">
      x
    </a>
  </body>
`;
